%define build_plf 0
%{?_with_plf: %{expand: %%define build_plf 1}}
%define build_optimization 0
%ifarch ppc
%define build_optimization 1
%endif
%{?_with_optimization: %{expand: %%define build_optimization 1}}
%define build_mencoder 1
%{?_with_mencoder: %{expand: %%define build_mencoder 1}}
%{?_without_mencoder: %{expand: %%define build_mencoder 0}}
%define build_gui 1
%{?_with_gui: %{expand: %%define build_gui 1}}
%{?_without_gui: %{expand: %%define build_gui 0}}

%define buildfor_mdk82  %(awk '{print ($4 <= "8.2")}' %{_sysconfdir}/mandrake-release)
%define buildfor_mdk90  %(awk '{print ($4 == "9.0")}' %{_sysconfdir}/mandrake-release)
%define kernel_version	%(/bin/bash %{SOURCE5})
%define kver 		%(/bin/bash %{SOURCE5} | sed -e 's/-/./')
%define kvername	%(/bin/bash %{SOURCE5} | sed -e 's/-/./' | sed -e 's/mdk//')

%define build_semistatic	0
%{?_with_semistatic: %{expand: %%define build_semistatic 1}}

%define build_fullstatic	0
%{?_with_fullstatic: %{expand: %%define build_fullstatic 1}}

%if %build_fullstatic
%define build_semistatic 1
%endif

%if %build_plf
%define realpath %{_libdir}/real
%else
%define realpath %{_libdir}/RealPlayer8/Codecs
%endif

# mga_vid -> 1 to build mga_vid kernel modules
%define mga_vid 	0
%define radeon_vid 	0

%if %buildfor_mdk82
%define mga_vid		1
%define radeon_vid      1
%endif

%define name		mplayer
%define Name		MPlayer
%define Summary		Movie player for linux
%define version		0.90
%define pre		rc4
%define rel		0.%{pre}.4

%define ppmajor		0
%define dhamajor	0.1
%define libname		libdha%dhamajor
%define pplibname	libpostproc%ppmajor

%if %build_plf
%define release %{rel}plf
%else
%define release %{rel}mdk
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
Source0:	%{Name}-%{version}%{pre}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Source5:	kernel-version.sh
Patch7:		mplayer-0.90rc3-nomgafirst.patch.bz2
Patch8:		mplayer-mgavid.patch.bz2
Patch9:		mplayer-radeonvid.patch.bz2
Patch10:	mplayer-0.90pre10-ppc-build.patch.bz2
Patch20:	mplayer-0.90rc4-static.patch.bz2
Patch21:	mplayer-0.90rc3-static-xfree.patch.bz2
Patch22:	mplayer-0.90rc4-static-full.patch.bz2
URL:		http://www.mplayerhq.hu
License:	GPL
Group:		Video
BuildRequires:  kernel-source
BuildRequires:	libncurses-devel
BuildRequires:	libaa-devel
BuildRequires:	libalsa-devel
BuildRequires:  libarts-devel
BuildRequires:	libaudiofile-devel
BuildRequires:	libcdda-devel
BuildRequires:	libdv2-devel
BuildRequires:	libdxr3-devel
BuildRequires:	libesound-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libggi-devel
BuildRequires:	libgii-devel
BuildRequires:	liblirc-devel
BuildRequires:	liblzo-devel
BuildRequires:  libmad-devel
BuildRequires:  libnas-devel
BuildRequires:	libpng-devel
BuildRequires:	libSDL-devel >= 1.1.8
BuildRequires:	libtermcap-devel
BuildRequires:	libvorbis-devel
BuildRequires:  libxmms1-devel
BuildRequires:	XFree86-devel >= 4.2.0
BuildRequires:  freetype2-devel
%if %build_plf
BuildRequires:	libfaad2-devel
Requires:	xanim-codecs
%ifarch %{ix86} athlon
Requires:	win32-codecs >= 1.3
BuildRequires:	xvid-divx-devel
%endif
%else
BuildRequires:	libdvdread2-devel
%endif
%if %buildfor_mdk82
BuildRequires:	libsvgalib1-devel
%endif
%if %build_semistatic
BuildRequires: libalsa2-static-devel
BuildRequires: libpng3-static-devel
BuildRequires: libjpeg-static-devel
BuildRequires: freetype2-static-devel
BuildRequires: libaa-static-devel
BuildRequires: libgpm-devel
BuildRequires: libslang-devel
BuildRequires: libungif-static-devel
BuildRequires: libnas2-static-devel
BuildRequires: libggi2-static-devel
BuildRequires: libgii-static-devel
BuildRequires: libarts-static-devel
%if %build_plf
BuildRequires: libfaad2-static-devel
%endif
%endif
%if %build_fullstatic
BuildRequires: XFree86-static-libs
BuildRequires: glibc-static-devel
%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
# for the Luxi Serif font:
Requires:	XFree86
%if !%build_semistatic
Requires:	libdv2
Requires:	libggi2
Requires:	libgii0
Requires:	libmad0
Requires:	liblirc0
Requires:	%pplibname = %version
%endif
Requires:	%libname = %version

%description
MPlayer is a movie player for LINUX (runs on many other Unices, and
non-x86 CPUs, see the documentation). It plays most MPEG, VOB, AVI,
VIVO, ASF/WMV, QT/MOV, FLI, NuppelVideo, yuv4mpeg, FILM, RoQ, and some
RealMedia files, supported by many native, XAnim, and Win32 DLL codecs.
You can watch VideoCD, SVCD, DVD, 3ivx, FLI, and even DivX movies too
(and you don't need the avifile library at all!). The another big
feature of mplayer is the wide range of supported output drivers. It
works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, but you can use
SDL (and this way all drivers of SDL), VESA (on every VESA compatible
card, even without X!), and some lowlevel card-specific drivers (for
Matrox, 3Dfx and Radeon) too! Most of them supports software or hardware
scaling, so you can enjoy movies in fullscreen. MPlayer supports
displaying through some hardware MPEG decoder boards, such as the DVB
and DXR3/Hollywood+! And what about the nice big antialiased shaded
subtitles (9 supported types!!!) with european/ISO 8859-1,2 (hungarian,
english, czech, etc), cyrillic, korean fonts, and OSD?

Note: If you want to play Real content, you need to have the content
of RealPlayer's Codecs directory in %realpath

%if %build_gui
%package gui
Summary:	GUI for %{name}
Group:		Video
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-skins >= 1.0-2mdk
BuildRequires:	libgtk+-devel

%description gui
This package contains a GUI for %{name}.
%endif

%if %build_mencoder
%package -n mencoder
Summary: MPlayer's movie encoder
Group:		Video
Requires:	%{name} = %version-%release
%if %build_plf
BuildRequires: libmp3lame0-devel
%endif

%description -n mencoder
MEncoder a movie encoder and is a part of the MPlayer package.
%if !%build_plf
Note: this version doesn't have support for encoding mp3 audio streams in the
video files. 
%endif
%endif

%package -n %libname
Summary:	Support library for MPlayer's vidix video drivers
Group:		System/Libraries

%description -n %libname

This package contains the libdha shared library required by the vidix
video output drivers of MPlayer.

%if !%build_semistatic
%package -n %pplibname
Summary:	Video postprocessing library for MPlayer.
Group:		System/Libraries

%description -n %pplibname

This package contains the shared postprocessing library required by
MPlayer.

%package -n %pplibname-devel
Summary:	C headers for linking against the postprocessing library
Group:		Development/C
Provides:	libpostproc-devel = %version-%release
Requires:	%pplibname = %version-%release
%description -n %pplibname-devel

This package contains the C headers required for linking against
MPlayer's postprocessing library.
%endif

%if %mga_vid
%package mgavid%{kvername}
Summary:	Mga_vid kernel module
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%release
Requires:	kernel-%{kver}

%description mgavid%{kvername}
This package contains the mga_vid kernel module (Matrox YUV Video
Interface) suitable for kernel %{kernel_version} (device is
/dev/mga_vid c 178 0).

%package mgavid-smp%{kvername}
Summary:	Mga_vid kernel module
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%release
Requires:	kernel-smp-%{kver}

%description mgavid-smp%{kvername}
This package contains the mga_vid kernel module (Matrox YUV Video
Interface), suitable for kernel %{kernel_version}smp.

%package mgavid-enterprise%{kvername}
Summary:	Mga_vid kernel module
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%release
Requires:	kernel-enterprise-%{kver}

%description mgavid-enterprise%{kvername}
This package contains the mga_vid kernel module (Matrox YUV Video
Interface), suitable for kernel %{kernel_version}enterprise.
%endif

%if %radeon_vid
%package radeonvid%{kvername}
Summary:        Radeon_vid kernel module
Group:          System/Kernel and hardware
Requires:       %{name} = %{version}-%release
Requires:       kernel-%{kver}

%description radeonvid%{kvername}
This package contains the radeon_vid kernel module (Radeon YUV Video
Interface) suitable for kernel %{kernel_version} (device is
/dev/radeon_vid c 178 0).

%package radeonvid-smp%{kvername}
Summary:        Radeon_vid kernel module
Group:          System/Kernel and hardware
Requires:       %{name} = %{version}-%release
Requires:       kernel-smp-%{kver}

%description radeonvid-smp%{kvername}
This package contains the radeon_vid kernel module (Radeon YUV Video
Interface), suitable for kernel %{kernel_version}smp.

%package radeonvid-enterprise%{kvername}
Summary:        Radeon_vid kernel module
Group:          System/Kernel and hardware
Requires:       %{name} = %{version}-%release
Requires:       kernel-enterprise-%{kver}

%description radeonvid-enterprise%{kvername}
This package contains the mga_vid kernel module (Radeon YUV Video
Interface), suitable for kernel %{kernel_version}enterprise.
%endif

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{Name}-%{version}%{pre}
%patch7 -b .mga
%patch8 -p1 -b .mga
%patch9 -p1 -b .radeon
%ifarch ppc
%patch10 -p1 -b .ppc
%endif
%if %build_semistatic
%patch20 -p1 -b .static
%endif
%if %build_fullstatic
%patch21 -p1 -b .staticxfree
%patch22 -p1 -b .staticfull
%endif

perl -pi -e 's/^include = /#include = /' etc/example.conf
mv DOCS/mplayer.1 .
mv DOCS/German/mplayer.1    German-mplayer.1   
mv DOCS/French/mplayer.1    French-mplayer.1   
mv DOCS/Polish/mplayer.1    Polish-mplayer.1   
mv DOCS/Hungarian/mplayer.1 Hungarian-mplayer.1


%build
export CFLAGS="$RPM_OPT_FLAGS" 
%if %buildfor_mdk90
# fix for the gcc 3.2 in mdk 9.0 
export CFLAGS="$CFLAGS -mno-omit-leaf-frame-pointer"
%endif
%if %buildfor_mdk82
# hack for the press anykey with gcc 2.96   
echo | \
%endif
./configure \
	--prefix=%{_prefix} \
	--datadir=%{_datadir}/%{name} \
	--confdir=%{_sysconfdir}/%{name} \
	--libdir=%_libdir \
	--enable-largefiles \
%if !%build_optimization
	--enable-runtime-cpudetection \
        --enable-mmx \
        --enable-mmx2 \
        --enable-3dnow \
	--enable-3dnowex \
        --enable-sse \
        --enable-sse2 \
        --enable-fastmemcpy \
%endif
	--enable-freetype \
	--enable-nas \
	--disable-sighandler \
%if %build_gui
	--enable-gui \
%endif
	--enable-i18n \
	--language=en \
	\
%if !%build_plf
	--disable-mpdvdkit\
%endif
	--enable-lirc \
	--enable-tv \
	--enable-tv-v4l \
	--enable-joystick \
	\
	--enable-gl \
%if %buildfor_mdk82
        --disable-gcc-checking \
%else
        --disable-svga \
%endif
	--enable-mga \
	--enable-xmga \
	--enable-fbdev \
	--disable-directfb \
	--disable-dvdnav \
%if %build_mencoder
	--enable-mencoder \
%else
	--disable-mencoder \
%endif
%if %build_semistatic
	--disable-shared-pp \
%else
	--enable-shared-pp \
%endif
	--enable-menu \
	--enable-xmms \
	--with-extraincdir=/usr/src/linux/3rdparty/mod_dvb/include \
	--with-x11incdir=%{_prefix}/X11R6/include \
	--with-xanimlibdir=%{_prefix}/X11R6/lib/xanim/mods \
	--with-reallibdir=%{realpath} \
%ifnarch ppc
	\
	--with-win32libdir=%{_libdir}/win32
%endif

# Keep this line before empty end %%configure (ppc conditionnal pb)
make 
%if %mga_vid
(cd drivers
make mga_vid-up.o mga_vid-smp.o mga_vid-enterprise.o)
%endif
%if %radeon_vid
(cd drivers/radeon
make radeon_vid-up.o radeon_vid-smp.o radeon_vid-enterprise.o)
%endif
# (sb) these aren't building on their own for some reason
%ifarch ppc
make -C libdha
make -C vidix
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%name/vidix
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/{de,fr,hu,pl,""}/man1
install -m 755 mplayer $RPM_BUILD_ROOT%{_bindir}
install -m 644 mplayer.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 German-mplayer.1 $RPM_BUILD_ROOT%{_mandir}/de/man1/mplayer.1  
install -m 644 French-mplayer.1 $RPM_BUILD_ROOT%{_mandir}/fr/man1/mplayer.1  
install -m 644 Hungarian-mplayer.1 $RPM_BUILD_ROOT%{_mandir}/hu/man1/mplayer.1  
install -m 644 Polish-mplayer.1 $RPM_BUILD_ROOT%{_mandir}/pl/man1/mplayer.1  
 
%if %build_mencoder
install -m 755 mencoder $RPM_BUILD_ROOT%{_bindir}
for man_dir in $RPM_BUILD_ROOT%{_mandir}/{de,fr,hu,pl,""}/man1; do
(cd $man_dir && ln -s mplayer.1 mencoder.1)
done
%endif
install -m 644 etc/example.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.conf
install -m 644 etc/codecs.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 644 etc/input.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 644 etc/menu.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 755 -p libdha/libdha.so.0.1 %buildroot/%_libdir
install -m 755 -p vidix/drivers/*.so %buildroot/%_libdir/%name/vidix
%if !%build_semistatic
install -s -m 755 postproc/libpostproc.so %buildroot/%_libdir/libpostproc.so.0.0.1
ln -sf libpostproc.so.0.0.1 %buildroot/%_libdir/libpostproc.so
mkdir -p %buildroot/%_includedir/postproc
install -m 644 postproc/postprocess.h %buildroot/%_includedir/postproc/postprocess.h
%endif

# default font from XFree86 package
ln -sf %{_prefix}/X11R6/lib/X11/fonts/TTF/luxirr.ttf %buildroot/%_datadir/mplayer/subfont.ttf
%if %build_gui
# gmplayer equals mplayer -gui
(cd $RPM_BUILD_ROOT%{_bindir} && ln -s mplayer gmplayer)
# icons
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/gmplayer.png 
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/gmplayer.png 
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/gmplayer.png
# menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-gui <<EOF
?package(%{name}-gui): \
	command="%{_bindir}/gmplayer -quiet -nofs"\
	needs="X11"\
	section="Multimedia/Video"\
	icon="gmplayer.png"\
	mimetypes="video/mpeg,video/msvideo,video/quicktime,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,application/x-ogg,audio/x-mp3,audio/x-mpeg,video/x-fli,audio/x-wav"\
	accept_url="true"\
	multiple_files="true"\
	title="%{Name}"\
	longtitle="%{Summary}"
EOF
%endif

%if %mga_vid
install -d -m 755 %{buildroot}/%{_lib}/modules/%{kernel_version}/misc \
        %{buildroot}/%{_lib}/modules/%{kernel_version}smp/misc \
        %{buildroot}/%{_lib}/modules/%{kernel_version}enterprise/misc
install -m 644 drivers/mga_vid-up.o \
	%{buildroot}/%{_lib}/modules/%{kernel_version}/misc/mga_vid.o
install -m 644 drivers/mga_vid-smp.o \
	%{buildroot}/%{_lib}/modules/%{kernel_version}smp/misc/mga_vid.o
install -m 644 drivers/mga_vid-enterprise.o \
	%{buildroot}/%{_lib}/modules/%{kernel_version}enterprise/misc/mga_vid.o
gzip -9f %{buildroot}/%{_lib}/modules/*/misc/mga*.o
%endif

%if %radeon_vid
install -d -m 755 %{buildroot}/%{_lib}/modules/%{kernel_version}/misc \
        %{buildroot}/%{_lib}/modules/%{kernel_version}smp/misc \
        %{buildroot}/%{_lib}/modules/%{kernel_version}enterprise/misc
install -m 644 drivers/radeon/radeon_vid-up.o \
        %{buildroot}/%{_lib}/modules/%{kernel_version}/misc/radeon_vid.o
install -m 644 drivers/radeon/radeon_vid-smp.o \
        %{buildroot}/%{_lib}/modules/%{kernel_version}smp/misc/radeon_vid.o
install -m 644 drivers/radeon/radeon_vid-enterprise.o \
        %{buildroot}/%{_lib}/modules/%{kernel_version}enterprise/misc/radeon_vid.o
gzip -9f %{buildroot}/%{_lib}/modules/*/misc/ra*.o
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%if %build_gui
%post gui
%{update_menus}
%postun gui
%{clean_menus}
%endif

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%if !%build_semistatic
%post -n %pplibname -p /sbin/ldconfig
%postun -n %pplibname -p /sbin/ldconfig
%endif

%if %mga_vid
%post mgavid%{kvername}
/sbin/depmod -a || :

%post mgavid-smp%{kvername}
/sbin/depmod -a || :

%post mgavid-enterprise%{kvername}
/sbin/depmod -a || :
%endif

%if %radeon_vid
%post radeonvid%{kvername}
/sbin/depmod -a || :

%post radeonvid-smp%{kvername}
/sbin/depmod -a || :

%post radeonvid-enterprise%{kvername}
/sbin/depmod -a || :
%endif


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README DOCS/*
%dir %{_sysconfdir}/mplayer
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/mplayer.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/codecs.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/input.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/menu.conf
%{_bindir}/mplayer
%{_mandir}/man1/mplayer.1*
%lang(de) %{_mandir}/de/man1/mplayer.1*
%lang(fr) %{_mandir}/fr/man1/mplayer.1*
%lang(hu) %{_mandir}/hu/man1/mplayer.1*
%lang(pl) %{_mandir}/pl/man1/mplayer.1*
%{_datadir}/%{name}
%_libdir/%name/vidix/*so

%if %build_mencoder
%files -n mencoder
%defattr(-,root,root)
%{_bindir}/mencoder
%{_mandir}/man1/mencoder.1*
%lang(de) %{_mandir}/de/man1/mencoder.1*
%lang(fr) %{_mandir}/fr/man1/mencoder.1*
%lang(hu) %{_mandir}/hu/man1/mencoder.1*
%lang(pl) %{_mandir}/pl/man1/mencoder.1*
%endif

%files -n %libname
%defattr(-,root,root)
%_libdir/libdha.so.0.1

%if !%build_semistatic
%files -n %pplibname
%defattr(-,root,root)
%_libdir/libpostproc.so.*

%files -n %pplibname-devel
%defattr(-,root,root)
%_libdir/libpostproc.so
%_includedir/postproc/*
%endif

%if %build_gui
%files gui
%defattr(-,root,root)
%{_bindir}/gmplayer
%{_menudir}/%{name}-gui
%{_iconsdir}/gmplayer.png
%{_miconsdir}/gmplayer.png
%{_liconsdir}/gmplayer.png
%endif

%if %mga_vid
%files mgavid%{kvername}
%defattr(-,root,root)
%doc drivers/README
/%{_lib}/modules/%{kernel_version}/misc/mga_vid.o.gz

%files mgavid-smp%{kvername}
%defattr(-,root,root)
%doc drivers/README
/%{_lib}/modules/%{kernel_version}smp/misc/mga_vid.o.gz

%files mgavid-enterprise%{kvername}
%defattr(-,root,root)
%doc drivers/README
/%{_lib}/modules/%{kernel_version}enterprise/misc/mga_vid.o.gz
%endif

%if %radeon_vid
%files radeonvid%{kvername}
%defattr(-,root,root)
%doc drivers/radeon/README
/%{_lib}/modules/%{kernel_version}/misc/radeon_vid.o.gz

%files radeonvid-smp%{kvername}
%defattr(-,root,root)
%doc drivers/radeon/README
/%{_lib}/modules/%{kernel_version}smp/misc/radeon_vid.o.gz

%files radeonvid-enterprise%{kvername}
%defattr(-,root,root)
%doc drivers/radeon/README
/%{_lib}/modules/%{kernel_version}enterprise/misc/radeon_vid.o.gz
%endif

%changelog
* Tue Feb 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc4.4mdk
- update patches 20 and 22 (Giuseppe Ghib <ghibo@mandrakesoft.com>)

* Mon Feb 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc4.2mdk
- buildrequires kernel-source for DVB  
- enable DVB

* Mon Feb 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc4.1mdk
- new version

* Fri Jan 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-%{rel}plf
- more fixes from Giuseppe Ghib <ghibo@mandrakesoft.com>
  - Added flag for full static building.
  - removed %%mklibname because rpm get confused with --with macro expansion
  right now...

* Mon Jan 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc3.1mdk
- use the mklibname macro, but not on Mandrake versions < 9.1
- rediff patch 7
- new version

* Fri Jan 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc2.4mdk
- disable devfs device support (requested by Giuseppe Ghib)

* Wed Jan 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc2.3mdk
- add patch from Giuseppe Ghib <ghibo@mandrakesoft.com>
  * allow conditional semistatic linking of mplayer (--with semistatic)

* Sat Dec 28 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.90-0.rc2.2mdk
- rework patch10 for PPC

* Wed Dec 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc2.1mdk
- enable xmms plugin support
- new version

* Mon Dec  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc1.3mdk
- fix a few rpmlint warnings
- enable menu support
- don't fix previous changelog (stupid bot)

* Mon Dec  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc2.2mdk
- add missing input.conf and menu.conf

* Mon Dec  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc1.1mdk
- plf: require newer win32-codecs 
- build fix for Mandrake 9.0
- new version

* Fri Dec  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.90-0.pre10.4mdk
- allow PPC build
- Olivier Thauvin <thauvin@aerov.jussieu.fr>
	- fix plf/x86 plf/ppc configure

* Mon Nov 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre10.3mdk
- enable shared postprocessing library

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre10.2mdk
- always enable mga driver, but only package it on mdk 8.2 

* Mon Nov 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre10.1mdk
- remove fame option
- new version

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre9.3mdk
- enable nas
- always disable libfame

* Sat Oct 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre9.2mdk
- buildrequires liblzo-devel

* Fri Oct 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre9.1mdk
- 0.90pre9

* Mon Oct 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre8.5mdk
- don't let install strip libdha, it's spec-helper's job
- arrrgh, fix subfont symlink

* Fri Oct 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre8.4mdk
- configure a default font for subtitle display

* Mon Sep 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre8.3mdk
- accept multiple files and urls in menu
- fix mime type in menu (thx Michael Reinsch <mr@uue.org>)

* Thu Sep 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre8.2mdk
- enable fbdev as requested by john smith <neuroxmancer@yahoo.com>

* Thu Sep 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre8.1mdk
- disable parallel build
- add more files to the docs
- drop the patches 0 and 1
- 0.90pre8

* Sun Sep  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre7.4mdk
- fix menu long title
- don't start gui version in fullscreen mode

* Fri Sep  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre7.3mdk
- patch 1 to fix loading of GUI config file

* Thu Sep  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre7.2mdk
- patch configure to build with freetype2 < 2.1.0
- enable freetype2 support

* Thu Sep  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre7.1mdk
- remove the -mno-omit-leaf-frame-pointer hack (merged) 
- use some macros for rpmlint
- fix libdha installation
- remove the new-input option (obsolete)
- remove patches 2,10 (merged)
- remove patch 0 (not needed anymore)
- new version

* Thu Aug 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.15mdk
- build kernel modules only on Mandrake 8.2
- remove kernel modules, they are now in the kernel package

* Sat Aug 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.14mdk
- new kernel
- remove --enable-dxr3 and svga options, else --rebuild --nodeps might break
- fix Mandrake 8.2 build

* Fri Aug 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.13mdk
- add an option to disable gui, but it's still enabled by default
- kernel driver packages require same version and release of main package 
- add patch 10 from official package (prevent a crash)
- drop patch 1 (unneeded)

* Thu Aug 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.90-0.pre6.12mdk
- gui requires same version and release of base package

* Wed Aug 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.11mdk
- fix description of up kernel driver packages
- split mencoder to an extra package

* Tue Aug 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.10mdk
- fix the typo in the last release :-(

* Tue Aug 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.9mdk
- add fix from Jose Antonio Becerra Permuy <ronin@mail2.udc.es>
  - fix contents of the kernel module packages
  - build with svgalib on Mandrake 8.2	 
- buildrequires libsvgalib1-devel on Mandrake 8.2

* Tue Aug 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.8mdk
- disable libfame on mdk build
- add a note about real codecs to the description

* Mon Aug 18 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.90-0.pre6.7mdk
- enabled mga and xmga video output modules.
- added mga_vid kernel module packages (Patch8).
- make mga_vid conditional and move lower in the video output list (Patch7).
- compile radeon_vid kernel module.
- fixed path for reallib dir.
- Added libggi2, libgii0, libmad0, libdv2, liblirc0 to Requires.
- Forced 64bit file support with --enable-largefiles.
- Added %realpath.
- Added a flag for 8.2 building.
- Add some cosmetic patch (Patch1, Patch2).
- Enabled dxr3.

* Tue Aug 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.6mdk
- add missing buildrequires on libcdda-devel

* Fri Aug  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.5mdk
- make spec compatible with --short-circuit
- patch to give libdha a proper soname
- put libdha in a library package to reduce rpmlint errors
- fix last changelogs 

* Thu Aug  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.4mdk
- add a switch to optimize for the build machine (--with optimization)

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.3mdk
- specify %{_libdir}/win32 as windows codec dir

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.2mdk
- only build mdk package with libdvdread support
- add -mno-omit-leaf-frame-pointer to CFLAGS to fix win32 codec 

* Tue Aug  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre6.1mdk
- 0.90pre6
- enable real codecs support (you must copy them to %{_libdir}/real)
- don't compress the png icons
- disable dvdnav (broken)
- remove the buildrequires for ffmpeg, use included libavcodec
- clean up buildrequires

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre5.5mdk
- include vidix output drivers
- plf buildrequires fixes

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre5.4mdk
- libdv2

* Sat Jul 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.90-0.pre5.3mdk
- enabled all cpu optimisations, as runtime detection should select relevant ones only
- enabled lirc and tv support
- enabled opengl again
- enabled faad support in plf version

* Fri Jul 19 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.90-0.pre5.2mdk
- first official mdk release
- used system libdvdread instead of mpdvdkit
- removed buildrequires xanim, xvid and win32-codecs

* Sat Jun 08 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre5.1plf
- 0.90pre5

* Tue Jun 04 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre4.4plf
- symlinked mencoder man page to mplayer man page (Gtz Waschk <waschk@linux-mandrake.com>)

* Mon May 27 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre4.3plf
- changed xvid-devel to xvid-divx-devel (Gtz Waschk <waschk@linux-mandrake.com>)

* Wed May 15 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre4.2plf
- really disabled svgalib support

* Tue May 14 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre4.1plf
- 0.90pre4
- build with gcc 3.1
- removed svgalib driver from popular demand (actually, Yves only :-)
- replaced divx4linux dependency by xvid

* Wed May 08 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.90-0.pre3.1plf
- merged David modifications
- standard release scheme for preversion
- removed hardcoded requires, let spechelper do its job
- unversioned most buildrequires
- no more libdvdread buildrequires, as a modificated version is provided
- libgtk+ buildrequires apply to %{name}-gui
- win32-codecs requires and divx4linux buildrequires apply only to %{i586} and athlon
- configure options cleanup
- removed fibmap_player
- noreplace option also for codecs.conf
- no more exclusivearch
- build with new gcc3.1 and libalsa2

* Fri May 03 2002 David Walluck <david@anti-microsoft.org> 0.90-0.6plf
- 0.90-pre3
- remove conflicts
- really fix location of codecs.conf

* Fri May 03 2002 David Walluck <david@anti-microsoft.org> 0.90-0.5plf
- change location of codecs.conf

* Mon Apr 30 2002 David Walluck <david@anti-microsoft.org> 0.90-0.4plf
- update from CVS
- xpm2png
- fix menu (I think -- why was it broken?)
- fix _with macros
- try to support as many configure options as possible (feel free to
  support more/less of these)
- libdvdnav support
- divx5linux (new divx4linux)
- fix %%makeinstall
- don't enable OpenGL support

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 0.90-0.3plf
- cleanup
- still need to convert xpm2png

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 0.90-0.2plf
- update from CVS
- add mplayer.sh build helper script to Sources
- patch configure to aid detection of libffmpeg
- remove setuid bit on fibmap_mplayer (let the admin set this)
- remove DOCS/SGML

* Wed Apr 24 2002 David Walluck <david@anti-microsoft.org> 0.90-0.1plf
- release

* Wed Jan 30 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.60-2plf 
- new plf extension

* Thu Jan 03 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.60-2mdk 
- comment childish trick in config file

* Thu Jan 03 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.60-1mdk
- 0.60 final

* Wed Jan  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.60-0.pre2.2mdk
- removed confdir option and fixed datadir
- install mencoder
- enable xanim support

* Mon Dec 31 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.60-0.pre2.1mdk
- 0.60pre2
- bzipped icons
- buildrequires aalib1-devel
- removed all optimisation disabling, as distributed as source only

* Thu Dec 20 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-6mdk
- added mimetypes to menu file (Michael Reinsch <mr@uue.org>)
- use icons from MPlayer CVS (Gtz Waschk <waschk@linux-mandrake.com>)

* Fri Nov 30 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.50-5mdk
- build with libdvdread2
- fix prefix
- add menu
- add icons (Guillaume Rousse <guillomovitch@plf.zarb.org>)
- BuildRequires libogg0-devel (Michael Reinsch <mr@uue.org>)

* Thu Nov 29 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-4mdk
- added ffmpeg and opendivx support 
- requires win32-codecs and opendivx
- updated description
- gui in a distinct subpackage
- datadir now %{_datadir}/%{name}
- updated buildrequires

* Wed Nov 28 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-3mdk
- rebuild

* Sat Oct 13 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-2mdk
- obsoletes MPlayer
- updated URL

* Mon Oct 08 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-1mdk
- 0.50

* Fri Oct 05 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-0.pre3.1mdk
- 0.50pre3
- added system-wide configuration (David Walluck <david@anti-microsoft.org>)
- changed description accordingly
- changed name to %{name} by popular demand :-)

* Tue Oct  2 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.50-0.pre1.2mdk
- shut up, tar
- don't BuildRequires: XFree86-static-libs
- BuildRequires: libpng-devel to allow compilation with new libpng3
- BuildRequires: libgtk+1.2-devel for GUI
- enable GUI
- add example configuration files to documentation

* Tue Oct 02 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.50-0.pre1.1mdk
- 0.50pre1 
- back to gcc-2.96
- BuildRequires XFree86-static-libs libvorbis0-devel

* Mon Aug 20 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.18-0.pre5.2mdk
- disabled all optimizations
- added libggi2-devel and svaligb-devel to BuildRequires
- changed name to MPlayer

* Sat Aug 11 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.18-0.pre5.1mdk
- first mandrake release
